티스토리 뷰

일단 최신버전의 컴파일러를 가지고 있다면 굳이 하위버전의 컴파일러(JDK)를 따로 인스톨해서 사용하지 않아도 원하는 버전(1.5를 보유하고 있다면 1.4, 1.3버전으로 컴파일이 가능하다.)으로 컴파일이 가능하다.

이런 하위버전의 컴파일러를 사용해야 하는 이유중에 하나가 자신의 시스템이 아닌 일반인이 사용하는 비특정다수의 PC를 생각해서 컴파일한 프로그램이 원할이 수행되기를 바라는 경우 이것이 필요하다.

이제 다른 버전으로의 컴파일을 간단히 알아보겠다.

사용자 삽입 이미지


위와같이 해당 프로젝트에서 프로젝트의 등록정보를 선택한다.

사용자 삽입 이미지


트리메뉴중에 java compiler부분에서 하위버전을 선택하고 확인해주면 해당버전으로 재컴파일을하게 되고
다른 하위버전이 인스톨되어있는 시스템에서도 원활하게 작동한다.
댓글
댓글쓰기 폼